package com.huimv.face.service.impl;

import com.huimv.face.domain.FaceUserImgs;
import com.huimv.face.repo.FaceUserImgRepository;
import com.huimv.face.result.Result;
import com.huimv.face.service.FaceUserImgsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.face.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2020/12/30 0030 18:25
 **/
@Service
public class FaceUserImgsServiceImpl implements FaceUserImgsService {
    @Autowired
    private FaceUserImgRepository faceUserImgRepository;
    @Override
    public Result upload(Integer ID ,String XM , String USERID, MultipartFile file) {
//        try {
            FaceUserImgs faceUserImgs = faceUserImgRepository.findAllByUserId(USERID);
            if (faceUserImgs == null){
                faceUserImgs = new FaceUserImgs();
            }
            faceUserImgs.setUserId(USERID);
            faceUserImgs.setUserName(XM);
        try {
            faceUserImgs.setImg(file.getBytes());
        } catch (IOException e) {
            e.printStackTrace();
        }

        faceUserImgRepository.save(faceUserImgs);
            return new Result(10001,"添加成功");
//        }catch (Exception e){
//            return new Result(10001,"添加失败");
//        }

    }

    @Override
    public FaceUserImgs findAllByUserId(String userid) {
        return faceUserImgRepository.findAllByUserId(userid);
    }
}
